package org.dxc.api.datatypes;

import java.util.HashMap;

public class StringValueMap extends HashMap<String, Value> {
    private static final long serialVersionUID = 1L;

    public StringValueMap(StringValueMap svm) {
        this.putAll(svm);
    }

    public StringValueMap() {
        super();
    }

    public String toString() {
        String ret = new String();
        java.util.Iterator<String> j = this.keySet().iterator();

        ret += "{ ";

        while (j.hasNext()) {
            String s = j.next();
            ret += s.toString() + " = ";
            ret += this.get(s);
            if (j.hasNext())
                ret += ", ";
        }

        ret += "}";

        return ret;
    }
}
