package org.dxc.evaluator.metrics;

import org.dxc.api.datatypes.DxcData;
import org.dxc.api.datatypes.ProfilingData;

;

/*
 * CPU Time metric.
 */
public class PeakMemory implements ScenarioMetricCalculator {
    private double peakMemory = Double.NaN;

    public void addData(DxcData d) {
        if (d instanceof ProfilingData) {
            this.peakMemory = ((ProfilingData) d).getMaxMem();
        }
    }

    public void calculate() {
    }

    public double getScore() {
        return peakMemory / 1024;
    }

    public void print() {
        System.out.println("Peak Memory: " + this.getScore() + " kb");
    }
}